WebCrossing Server Security Upgrade – Preventing MITM Attacks

Posted by on Dec 22, 2016 | No Comments

Best holiday wishes from all of us at Elliptics – and a security upgrade for WebCrossing! May you find peace and happiness during this season, and may you have a healthy and successful 2017. We look forward to working with you in the new year.


 

This new build prevents so-called “Man-in-the-Middle” (MITM) attacks. We recommend this upgrade for all sites using SSL encryption.

Even if you are not sure what this means, it’s a good idea to upgrade to make sure you have all the latest security enhancements, fixes, optimizations and feature enhancements.

The latest release version is now WebCrossing 6.4-1326 2016-12-12.

We will be upgrading all hosted customers, and coordinate upgrade timing as needed.

All self-hosted customers with valid support and maintenance contracts can download this new version at no cost.

If you are running a self-hosted site we strongly recommend upgrading your WebCrossing server to this new build. If you are a self-hosted customer and have a valid support and maintenance contract, please contact support for access to the new server. If your support and maintenance contract has expired, please contact us to renew so we can provide you with this important update.